> ## Documentation Index
> Fetch the complete documentation index at: https://docs.li.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction request for withdrawing collected integrator's fees by chain

> This endpoint can be used to get transaction request for withdrawing integrator's collected fees the specified chain. If a list of token addresses is provided, the generated transaction will only withdraw the specified funds.
If there is no collected fees for the provided token's addresses, the `400` error will be thrown.
The endpoint returns a `IntegratorWithdrawalTransactionResponse` object which contains the transaction request.



## OpenAPI

````yaml get /v1/integrators/{integratorId}/withdraw/{chainId}
openapi: 3.0.2
info:
  title: LI.FI API
  version: 1.0.0
  description: >-
    LI.FI provides the best cross-chain swap across all liquidity pools and
    bridges.
servers:
  - url: https://li.quest
    description: LI.FI Production Environment
  - url: https://staging.li.quest
    description: LI.FI Staging Environment
security: []
paths:
  /v1/integrators/{integratorId}/withdraw/{chainId}:
    get:
      summary: >-
        Get transaction request for withdrawing collected integrator's fees by
        chain
      description: >-
        This endpoint can be used to get transaction request for withdrawing
        integrator's collected fees the specified chain. If a list of token
        addresses is provided, the generated transaction will only withdraw the
        specified funds.

        If there is no collected fees for the provided token's addresses, the
        `400` error will be thrown.

        The endpoint returns a `IntegratorWithdrawalTransactionResponse` object
        which contains the transaction request.
      parameters:
        - example: fee-demo
          name: integratorId
          description: Id of the integrator that requests fee withdrawal
          schema:
            type: string
          in: path
          required: true
        - example: 137
          name: chainId
          description: Specify chainId from which funds should be withdrawn
          schema:
            type: string
          in: path
          required: true
        - example:
            - '0x0000000000000000000000000000000000000000'
          name: tokenAddresses
          description: Specify tokens from which funds should be withdraw
          schema:
            type: array
            items:
              type: string
          in: query
          required: false
        - name: x-lifi-api-key
          description: >-
            Authentication header, register in the LI.FI Partner Portal
            (https://portal.li.fi/ ) to get your API Key.
          schema:
            type: string
          in: header
      responses:
        '200':
          $ref: '#/components/responses/IntegratorWithdrawalTransactionResponse'
        '400':
          $ref: '#/components/responses/InvalidIntegratorWithdrawalRequest'
        '404':
          $ref: '#/components/responses/InvalidIntegratorRequest'
components:
  responses:
    IntegratorWithdrawalTransactionResponse:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/IntegratorWithdrawalResponse'
          examples:
            ExampleIntegratorResponse:
              value:
                transactionRequest:
                  data: 0x
                  to: '0xbD6C7B0d2f68c2b7805d88388319cfB6EcB50eA9'
      description: Response of the integrator's fee withdrawal transaction request
    InvalidIntegratorWithdrawalRequest:
      description: None of the requested tokens has a balance
    InvalidIntegratorRequest:
      description: Integrator with the name ${integratorId} is not found
  schemas:
    IntegratorWithdrawalResponse:
      title: Root Type for IntegratorWithdrawalResponse
      description: >-
        Transaction request for withdrawing integrator's collected fees for the
        specified chain
      required:
        - transactionRequest
      type: object
      properties:
        transactionRequest:
          description: The transaction request
          type: object
          properties:
            data:
              description: The transaction's data
              type: string
            to:
              description: The FeeCollector's contract address for the specified chain
              type: string

````